summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/jenkins_node_wrapper.sh2
-rwxr-xr-xbin/reproducible_cleanup_nodes.sh5
2 files changed, 5 insertions, 2 deletions
diff --git a/bin/jenkins_node_wrapper.sh b/bin/jenkins_node_wrapper.sh
index ebf61efe..5820d933 100755
--- a/bin/jenkins_node_wrapper.sh
+++ b/bin/jenkins_node_wrapper.sh
@@ -60,7 +60,7 @@ allowed_cmds=()
if [[ "$*" =~ /bin/true ]] ; then
exec /bin/true ; croak "Exec failed";
-elif [[ "$*" = "/srv/jenkins/bin/reproducible_slay.sh" ]] ; then
+elif [[ "$*" = "cleanup_nodes /srv/jenkins/bin/reproducible_slay.sh" ]] ; then
exec /srv/jenkins/bin/reproducible_slay.sh ; croak "Exec failed";
elif [[ "$*" =~ /bin/nc\ localhost\ 4949 ]] ; then
exec /bin/nc localhost 4949 ; croak "Exec failed";
diff --git a/bin/reproducible_cleanup_nodes.sh b/bin/reproducible_cleanup_nodes.sh
index 49094ac9..c6dd7d26 100755
--- a/bin/reproducible_cleanup_nodes.sh
+++ b/bin/reproducible_cleanup_nodes.sh
@@ -10,10 +10,13 @@ common_init "$@"
# common code defining db access
. /srv/jenkins/bin/reproducible_common.sh
-# only run this on the main node
+# only run this on the main node as jenkins
if [ "$HOSTNAME" != "jenkins" ] ; then
echo "this script must only be run on the main node, aborting."
exit 1
+elif [ "$(whoami)" != "jenkins" ] ; then
+ echo "this script must only be run as jenkins user, aborting."
+ exit 1
fi
# deny running this if jenkins is still running